<p align="center">
  🎵 react-abc 🎶
  <br/>
  <br/>
  <a href="https://www.npmjs.org/package/react-abc">
    <img src="https://img.shields.io/npm/v/react-abc.svg?style=flat" alt="npm">
  </a>
  <a href="https://travis-ci.org/fuhton/react-abc">
    <img src="https://travis-ci.org/fuhton/react-abc.svg?branch=master" alt="travis">
  </a>
</p>

# react-abc

React component for displaying Abc based notation. Wraps [Abc.js](https://github.com/paulrosen/abcjs) for use in your React libraries


## Table of Contents

- [Install](#install)
- [Usage](#usage)
- [Docs](#docs)
- [Examples](#examples)
- [License](#license)

---
## Install
Installation can be achieved via NPM.
```
npm install --save react-abc
```
---
## Usage
react-abc provides a series of components for use in displaying notation, midi players, or an editor.

You can review each component's use cases and properties:
* [`<Editor />`](src/editor/README.md)
* [`<Midi />`](src/midi/README.md)
* [`<Notation />`](src/notation/README.md)

---
## Docs

* [What is ABC Notation?](docs/what-is-abc-notation.md)

---
## Examples
You can see an example here - [fuhton.github.io/react-abc/example](http://fuhton.github.io/react-abc/example/)

An example of the component in action is available in the example folder. To see it in action you can run `npm run webpack-dev-server` which will run a webpack-dev-server build and open the example.

---
## Licence

MIT © [Nicholas Smith](https://fuhton.com)
